# tkvaudio.tcl --
#
#

if {![info exists tkVoice]} {
    error "This script should be run from within  \"tkvoice\"."
}

set w .tkvaudio
catch {destroy $w}
toplevel $w
wm title $w "tkVoice Audio Setup"
wm iconname $w "tkVoice Audio Setup"
positionWindow $w

######################################################
# tkvoice setup image
frame $w.gif
pack $w.gif -side top -fill x

catch {image delete tkvoiceaudio}
image create photo tkvoiceaudio -file [file join $tkvoicedir/image/tkvoiceaudio.gif]

label $w.gif.tkvoiceaudio -image tkvoiceaudio -bd 1 -relief sunken
label $w.gif.linux -image linux -bd 1 -relief sunken
label $w.gif.phone -image phone -bd 1 -relief sunken
label $w.gif.penguin -image penguin -bd 1 -relief sunken
 
pack $w.gif.phone -side left
pack $w.gif.tkvoiceaudio -side left -expand 1 -fill x
pack $w.gif.linux -side right
pack $w.gif.penguin -side right


#########################

label $w.msg -font $font -wraplength 4i -justify left -text "\nTkVoice reads in the \"rmd\" file saved by the modem and converts it to a \"wav\" file.\nEnter the command and arguments on your system that will be used for playing the \"wav\" file."
label $w.msg1 -font $font -wraplength 4i -justify left -text "\nPlay WAV command"
label $w.msg2 -font $font -wraplength 4i -justify left -text "\nTkVoice reads in the \"wav\" file saved by your \"Record WAV\" program and converts it to the $greeting \"RMD\" file for your modem.\nSave your wave file as $greeting.wav in the following directory: $voicedir$voiceout.\n\n\tRecord WAV command"
# label $w.msg2 -font $font -wraplength 4i -justify left -text "\nRecord WAV command"
label $w.msg3 -font $font -wraplength 4i -justify left -text "\nNumber of samples per seconds to pass into \"pvfspeed -s\". This is used when converting WAV to RMD files. For more information consult: \"Readme.pvftools\" located in mgetty\\voice\\docs source.\n\n\tPVFSPEED Samples"

frame $w.buttons
pack $w.buttons -side bottom -fill x -pady 2m
button $w.buttons.save -text SAVE -command "saveaudio; destroy $w"
button $w.buttons.cancel -text CANCEL -command "destroy $w"
pack $w.buttons.save $w.buttons.cancel -side left -expand 1

foreach i "playwave recordwave pvfsamples" {
    frame $w.$i -bd 2
    entry $w.$i.entry -relief sunken -width 50 -textvariable $i
    label $w.$i.label
    pack $w.$i.entry -side right -padx .5c
    pack $w.$i.label -side left -padx .5c
    $w.$i.label config -text "$i:\t"
}
pack $w.msg $w.msg1 $w.playwave $w.msg2 $w.recordwave $w.msg3 $w.pvfsamples -side top -fill x
focus $w.playwave.entry
bind $w.playwave.entry <Return> {focus $w.recordwave.entry}
bind $w.recordwave.entry <Return> {focus $w.pvfsamples.entry}
bind $w.pvfsamples.entry <Return> {focus $w.playwave.entry}

